#
# spec file for package kdevelop5-plugin-php
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname   kdev-php
%define rversion 5.0
Name:           kdevelop5-plugin-php
Version:        5.0.1
Release:        2.17
Summary:        PHP plugin for Kdevelop5 Integrated Development Environment
License:        GPL-2.0+
Group:          Development/Tools/IDE
Url:            http://www.kdevelop.org
Source0:        %{rname}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  grantlee5-devel
BuildRequires:  karchive-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kdevelop5-pg-qt >= 2.0.0
BuildRequires:  kdevplatform-devel >= 5.0.0
BuildRequires:  kf5-filesystem
BuildRequires:  kguiaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifications-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  pkgconfig
BuildRequires:  threadweaver-devel
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Core) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
Conflicts:      kdevelop4-plugin-php
Requires:       kdevelop5
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PHP plugin for Kdevelop Integrated Development Environment

This plugin enables support for the following features for developing
web applications in PHP using Kdevelope4.

  * PHP built-in functions, classes, constants, superglobals
  * user-defined functions, classes, constants, superglobals, variables, etc.
  * proper code completion for objects which respects access modifiers (private, public, protected) and differentiates between static/non-static members and methods
  * code completion for overridable and implementable functions inside classes
  * hints in the argument list of function- and method class
  * sane code completion after keywords such as extends, implements, catch(), new, throw and some more

%package lang
Summary:        Languages for package %{name}
Group:          System/Localization
Requires:       %{name} = %{version}
Provides:       %{name}-lang-all = %{version}
Supplements:    packageand(bundle-lang-other:%{name})
BuildArch:      noarch
# Language file conflicts
Conflicts:      kdevelop4-plugins-php-doc
Conflicts:      kdevelop4-plugins-php

%description lang
Provides translations to the package %{name}

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %find_lang kdevphp %{name}.lang

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS HACKING TODO
%{_kf5_libdir}/*.so*
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_sharedir}/kdev*/

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Oct  4 2016 lbeltrame@kde.org
- Remove translations that are no longer there
* Tue Oct  4 2016 lbeltrame@kde.org
- Add BuildRequires to QtConcurrent to fix build
* Mon Oct  3 2016 lbeltrame@kde.org
- New upstream release 5.0.1
  * Fix a crash in the PHP plugin when editing text in the line
    after a "TODO".
* Mon Sep 26 2016 lbeltrame@kde.org
- Tighten Conflicts even more for -lang file conflicts
* Mon Sep 26 2016 lbeltrame@kde.org
- Add Conflicts with kdevelop4-plugin-php (main package and docs)
* Wed Aug 24 2016 cgiboudeaux@gmx.com
- Update to 5.0.0
* Thu Jan 28 2016 tittiatcoke@gmail.com
- Initial package for the PHP plugin for Kdevelop based on Frameworks
  * KDevelop 5 Beta 3
